@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');

h1 {
    font-size: 2rem !important;
    font-weight: 700;
}
h2 {
    font-size: 1.8rem;
    font-weight: 600;
    margin-bottom: 10px;
    margin-top: 20px;
}
h3 {
    font-size: 1.5rem;
    font-weight: 500;
    margin-bottom: 10px;
    margin-top: 20px;
}

body {
    margin: 0;
    line-height: inherit;
    overflow-x: hidden !important;
    position: relative;
    font-family: "Roboto", serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    font-variation-settings:"wdth" 100;
    /* background-color: #000; */
}

pre {
    display: block;
    width: 100%;
    padding: 9.5px;
    margin: 0 0 10px;
    font-size: 17px;
    color: #333;
    background-color: #f5f5f5;
    border: 1px solid #ccc;
    border-radius: 4px;

    white-space: pre-wrap;      /* keeps formatting but allows wrapping */
    word-wrap: break-word;      /* breaks long words */
    overflow-wrap: break-word;  /* modern support */
    overflow-x: auto;           /* adds scroll if needed */
}
pre span {
    word-break: break-word;
}